petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetOptionsPrefix

Sets the prefix used for searching for all TAO options in the database.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetOptionsPrefix(Tao tao, const char p[])

Logically Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| prefix | - the prefix string to prepend to all TAO option requests Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

For example, to distinguish between the runtime options for two Many brdifferent TAO solvers, one could call Many br

          TaoSetOptionsPrefix(tao1,"sys1_")
          TaoSetOptionsPrefix(tao2,"sys2_")

Many br

This would enable use of different options for each system, such as Many br

          -sys1_tao_method blmvm -sys1_tao_gtol 1.e-3
          -sys2_tao_method lmvm  -sys2_tao_gtol 1.e-4

Many br

Many br

### See Also

TaoAppendOptionsPrefix(), TaoGetOptionsPrefix()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages